#pragma once


namespace ActiveBasic{ namespace IDE{

class Project
{
public:

	Project()
		: workDir( "" )
	{
	}

	void Open( char *path );
	bool Close();

	const std::string &GetName() const
	{
		return name;
	}

	const Jenga::Common::Directory &GetWorkDir() const
	{
		return workDir;
	}

	bool IsOpened() const
	{
		return !name.empty();
	}

	ActiveBasic::Common::TargetModuleType::EnumType GetModuleType() const
	{
		return moduleType;
	}

	DWORD dwVersion;

	CDBFileInfo *pobj_DBFileInfo;

	char ResourceFileName[MAX_PATH];

	int NumberOfMenu;
	MENU_INFO *pMenuInfo;
	HTREEITEM hMenuTreeItem;

	WindowInfos windowInfos;
	HTREEITEM hWindowTreeItem;

	RESOURCEINFO res;

	DWORD dwOption;
	char lpszOutput_Release[MAX_PATH];
	char lpszOutput_Debug[MAX_PATH];

	//}jtFXg
	char szManifestPath[MAX_PATH];

	//fobO
	char szCmdLine[8192];
	char szExePath[MAX_PATH];

	//u[N|Cg
	CDBBreakPoint *pobj_DBBreakPoint;

	_int8 ModifyOfMaterial;
	_int8 ModifuOfResource;
	_int8 modify;

private:
	std::string name;
	Jenga::Common::Directory workDir;
	ActiveBasic::Common::TargetModuleType::EnumType moduleType;
};


}}

extern ActiveBasic::IDE::Project projectInfo;
